{
  "permissions": {
    "allow": [
      "Bash(./gradlew build:*)",
      "Bash(find:*)",
      "mcp__web-search-prime__webSearchPrime",
      "Bash(cat:*)",
      "mcp__web-reader__webReader",
      "Bash(node:*)",
      "mcp__zread__get_repo_structure",
      "Bash(ls:*)",
      "Bash(grep:*)",
      "Bash(unzip:*)",
      "Bash(./gradlew:*)",
      "WebSearch",
      "Bash(git add:*)",
      "Bash(git commit:*)",
      "Bash(git push)",
      "Bash(wc:*)",
      "Bash(git checkout:*)",
      "mcp__zread__read_file",
      "Bash(del:*)",
      "Bash(export:*)",
      "Bash(unset:*)",
      "Bash(\"/c/Program Files/JetBrains/CLion 2025.2.1/jbr/bin/java.exe\" -version)",
      "Bash(java:*)",
      "Bash(where:*)",
      "Bash(taskkill:*)",
      "Bash(dir:*)",
      "Bash(dir \"C:\\\\Program Files\\\\Eclipse Adoptium\")",
      "Bash(\"C:\\\\Program Files\\\\Java\\\\latest\\\\bin\\\\java.exe\":*)",
      "Bash(/c/Program Files/Java/latest/bin/java.exe:*)",
      "Bash(/c/Program Files/Java/jdk-24/bin/java.exe:*)",
      "Bash(git show:*)",
      "Bash(git fetch:*)",
      "Bash(git pull:*)",
      "Bash(set:*)",
      "Bash(JAVA_HOME=/c/Program Files/Java/jdk-24 ./gradlew:*)"
    ]
  }
}
